#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	appstream
Version		:	1.0.3
Release		:	17.2.0.rel%{?dist}
Summary		:	 Utilities to generate, maintain and access the AppStream database

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/ximion/appstream

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	elogind-devel
BuildRequires	:	gettext
BuildRequires	:	itstool
BuildRequires	:	libxml2-devel
BuildRequires	:	libxmlb-devel
BuildRequires	:	libyaml

#-----------------------------------------------------------------------------
%description
AppStream makes it easy to access application
information from the AppStream database over a
nice GObject-based interface.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%license COPYING
%{_bindir}/%{name}cli
%{_libdir}/lib%{name}.so.5
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/girepository-1.0/AppStream-1.0.typelib
%{_datadir}/%{name}/%{name}.conf
%{_datadir}/gettext/its/metainfo.*
%{_datadir}/metainfo/org.freedesktop.%{name}.cli.*.xml
%{_mandir}/man1/%{name}cli.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}
Requires	:	vala

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AppStream-1.0.gir
%{_datadir}/installed-tests/%{name}/metainfo-validate.test

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	 setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	-D apidocs=false				\
	-D stemming=false				\
	-D systemd=false				\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\


%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
